Bug 477720 - Wrong license for fedora brand
Wrong license for fedora brand
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity high
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 22:13 EST by eric@christensenplace.us
Modified: 2010-11-23 23:20 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.40
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-04 22:45:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Possible patch. (2.27 KB, text/plain)
2008-12-22 22:17 EST, eric@christensenplace.us
no flags Details

  None (edit)
Description eric@christensenplace.us 2008-12-22 22:13:11 EST
Description of problem: When using the fedora brand, the license that is used is "Open Publication License" instead of "Open Publication".  rpmlint does not like the prior and does not meet the fedora specifications.

This should be changed in /usr/share/publican/xsl/dt_htmlsingle_spec.xsl.

Version-Release number of selected component (if applicable): publican-0.39-0.fc10


How reproducible: Always


Steps to Reproduce:
1. create a SPEC or SRPM for fedora branded package
2. note license shows incorrectly
3.
  
Actual results: shows "Open Publication License"


Expected results: shows "Open Publication"


Additional info:
Comment 1 eric@christensenplace.us 2008-12-22 22:17:01 EST
Created attachment 327727 [details]
Possible patch.

This may be a solution.  I'm going to test it to make sure.
Comment 2 eric@christensenplace.us 2008-12-23 12:16:46 EST
The patch seems to work here.  Also, additional information on the "approved" licenses: https://fedoraproject.org/wiki/Licensing#Good_Licenses_2.
Comment 3 Jeff Fearn 2009-01-04 22:45:02 EST
Added parameter to allow brand override of license.

Updated all brand Makefiles with correct license.
Comment 4 Fedora Update System 2009-01-16 02:40:30 EST
publican-fedora-0.17-0.fc10,publican-0.40-0.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/publican-fedora-0.17-0.fc10,publican-0.40-0.fc10
Comment 5 Fedora Update System 2009-01-16 02:43:19 EST
publican-fedora-0.17-0.fc9,publican-0.40-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-fedora-0.17-0.fc9,publican-0.40-0.fc9
Comment 6 Fedora Update System 2009-01-21 16:32:44 EST
publican-fedora-0.17-0.fc10, publican-0.40-0.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.